"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const _baseFindIndex = require("./_baseFindIndex.js");
const _baseIsNaN = require("./_baseIsNaN.js");
const _strictIndexOf = require("./_strictIndexOf.js");
function baseIndexOf(array, value, fromIndex) {
  return value === value ? _strictIndexOf.default(array, value, fromIndex) : _baseFindIndex.default(array, _baseIsNaN.default, fromIndex);
}
exports.default = baseIndexOf;
